//-----------------------------------------------------------------------------
// Title      : bsp_ub055_mk3_wav2
//-----------------------------------------------------------------------------
// Funktion   : WAV-Files abspielen
// Schaltung  : myAVR MK3
//-----------------------------------------------------------------------------
// Prozessor  : ATMega2560
// Takt       : 16 MHz
// Sprache    : C
// Date       : 14.07.2012
// Version    : 1.0
// Autor      : UB
//-----------------------------------------------------------------------------
#define F_CPU 16000000
#include <avr/io.h>
#include <ub_mk3_2560/MK3_2560_KEY.h>
#include <ub_mk3_2560/MK3_2560_WAV.h>

//-----------------------------------------------------------------------------
// Hinweis : Quick-Jumper Port-K muss gesetzt sein
// - WAV File muss auf der SD-Karte vorhanden sein
// - Lautsprecher muss an Port B7 angeschlossen sein
// - oeffnet ein WAV-File
// - Button 1=START, 2=PAUSE, 3=STOP
//-----------------------------------------------------------------------------

#define WAV_NAME "m8k8b.wav"  // mono, 8khz, 8bit


int main (void)
{
	MK3_INIT_KEY();                 // init der Tasten
	MK3_INIT_WAV();                 // init der WAV-Ausgabe
	
	// WAV-File laden
    MK3_WAV_LOAD(WAV_NAME);
	
	while (true)
	{
	  MK3_WAV_DO();
	  
      if(MK3_KEY_SET(BUTTON1)==true) {
        MK3_WAV_START(WAV_NAME);
      }
      if(MK3_KEY_SET(BUTTON2)==true) {
        MK3_WAV_PAUSE();
      }
      if(MK3_KEY_SET(BUTTON3)==true) {
        MK3_WAV_STOP();
      }	
	}
	return 0;
}
//-----------------------------------------------------------------------------






